Package org.drinkless.tdlib

# Class TdApi.UpdateNewCallbackQuery

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Update
org.drinkless.tdlib.TdApi.UpdateNewCallbackQuery

Enclosing class:
  `TdApi`

public static class TdApi.UpdateNewCallbackQuery extends TdApi.Update
A new incoming callback query; for bots only.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.Update

  `TdApi.Update.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `long`
  `chatId`
  Identifier of the chat where the query was sent.
  `long`
  `chatInstance`
  Identifier that uniquely corresponds to the chat to which the message was sent.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `long`
  `id`
  Unique query identifier.
  `long`
  `messageId`
  Identifier of the message from which the query originated.
  `TdApi.CallbackQueryPayload`
  `payload`
  Query payload.
  `long`
  `senderUserId`
  Identifier of the user who sent the query.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `UpdateNewCallbackQuery()`
  A new incoming callback query; for bots only.
  `UpdateNewCallbackQuery(long id, long senderUserId, long chatId, long messageId, long chatInstance, TdApi.CallbackQueryPayload payload)`
  A new incoming callback query; for bots only.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### id

    public long id
    Unique query identifier.

  - ### senderUserId

    public long senderUserId
    Identifier of the user who sent the query.

  - ### chatId

    public long chatId
    Identifier of the chat where the query was sent.

  - ### messageId

    public long messageId
    Identifier of the message from which the query originated.

  - ### chatInstance

    public long chatInstance
    Identifier that uniquely corresponds to the chat to which the message was sent.

  - ### payload

    public TdApi.CallbackQueryPayload payload
    Query payload.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### UpdateNewCallbackQuery

    public UpdateNewCallbackQuery()
    A new incoming callback query; for bots only.

  - ### UpdateNewCallbackQuery

    public UpdateNewCallbackQuery(long id, long senderUserId, long chatId, long messageId, long chatInstance, TdApi.CallbackQueryPayload payload)
    A new incoming callback query; for bots only.
    Parameters:
      `id` - Unique query identifier.
      `senderUserId` - Identifier of the user who sent the query.
      `chatId` - Identifier of the chat where the query was sent.
      `messageId` - Identifier of the message from which the query originated.
      `chatInstance` - Identifier that uniquely corresponds to the chat to which the message was sent.
      `payload` - Query payload.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Update`
    Returns:
      this.CONSTRUCTOR